import { Application, Context, Database } from '@tego/server';
export declare class PasswordStrengthService {
    db: Database;
    app: Application;
    private logger;
    private config;
    load(): Promise<void>;
    refreshConfig(config: any): Promise<void>;
    addMiddleware(): void;
    /**
     * 获取用户名通过ID
     */
    private getUsernameById;
    /**
     * 验证密码强度
     */
    validatePasswordStrength(ctx: Context, password: string, username?: string): Promise<void>;
    /**
     * 验证密码历史
     */
    private validatePasswordHistory;
    /**
     * 保存密码历史
     */
    private savePasswordHistory;
}
